package com.mortals.xhx.module.platform.model;
import java.util.List;
import java.util.ArrayList;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.platform.model.vo.PlatformVo;
/**
* 平台用户实体对象
*
* @author zxfei
* @date 2021-10-27
*/

public class PlatformEntity extends PlatformVo {
    private static final long serialVersionUID = 1L;

    /**
    * 名称
    */
    private String name;
    /**
    * 业务系统标识，唯一
    */
    private String platformSn;
    /**
    * 系统备注
    */
    private String remark;
    /**
    * 申报表单提交地址
    */
    private String callbackUrl;
    /**
    * 成功后页面跳转地址
    */
    private String redirectUrl;
    /**
    * 创建用户名称
    */
    private String createUserName;



    public PlatformEntity(){}
    /**
    * 获取 名称
    * @return String
    */
    public String getName(){
        return name;
    }
    /**
    * 设置 名称
    * @param name
    */
    public void setName(String name){
        this.name = name;
    }
    /**
    * 获取 业务系统标识，唯一
    * @return String
    */
    public String getPlatformSn(){
        return platformSn;
    }
    /**
    * 设置 业务系统标识，唯一
    * @param platformSn
    */
    public void setPlatformSn(String platformSn){
        this.platformSn = platformSn;
    }
    /**
    * 获取 系统备注
    * @return String
    */
    public String getRemark(){
        return remark;
    }
    /**
    * 设置 系统备注
    * @param remark
    */
    public void setRemark(String remark){
        this.remark = remark;
    }
    /**
    * 获取 申报表单提交地址
    * @return String
    */
    public String getCallbackUrl(){
        return callbackUrl;
    }
    /**
    * 设置 申报表单提交地址
    * @param callbackUrl
    */
    public void setCallbackUrl(String callbackUrl){
        this.callbackUrl = callbackUrl;
    }
    /**
    * 获取 成功后页面跳转地址
    * @return String
    */
    public String getRedirectUrl(){
        return redirectUrl;
    }
    /**
    * 设置 成功后页面跳转地址
    * @param redirectUrl
    */
    public void setRedirectUrl(String redirectUrl){
        this.redirectUrl = redirectUrl;
    }
    /**
    * 获取 创建用户名称
    * @return String
    */
    public String getCreateUserName(){
        return createUserName;
    }
    /**
    * 设置 创建用户名称
    * @param createUserName
    */
    public void setCreateUserName(String createUserName){
        this.createUserName = createUserName;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof PlatformEntity) {
            PlatformEntity tmp = (PlatformEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",name:").append(getName());
        sb.append(",platformSn:").append(getPlatformSn());
        sb.append(",remark:").append(getRemark());
        sb.append(",callbackUrl:").append(getCallbackUrl());
        sb.append(",redirectUrl:").append(getRedirectUrl());
        sb.append(",createUserName:").append(getCreateUserName());
        return sb.toString();
    }

    public void initAttrValue(){
            this.name = null;
            this.platformSn = null;
            this.remark = null;
            this.callbackUrl = null;
            this.redirectUrl = null;
            this.createUserName = null;
    }
}